package com.muyu.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.domain.MessageTemplateType;

import java.util.List;

/**
 * @Author：liuxinyue
 * @Package：com.sheep.message.service
 * @Project：cloud-server-c
 * @name：MessageTemplateTypeService
 * @Date：2024/9/19 14:34
 */
public interface MessageTemplateTypeService extends IService<MessageTemplateType> {



    Integer addMessageType(MessageTemplateType messageTemplateType);

    List<MessageTemplateType> findvehicleFoundationData(Integer templatedId, String code);

    List<MessageTemplateType> findvehicleData(Integer templatedId, String code);

    List<MessageTemplateType> finddeviceStatusData(Integer templatedId, String code);

    List<MessageTemplateType> findMessageByTemplateName(Integer templatedId);

    List<MessageTemplateType> findTemplateById(Integer templateId);
}
